%% Figure 7: Grid-orientation effects
% This script produces the contents of Figure 7, which illustrates
% grid-orientation effects for the TPFA scheme and reproduction of linear
% flow for the mimetic and the MPFA-O method on a perturbed grid for a
% homogeneous, diagonal permeability tensor with entries Kx=1 and Ky=1000.

% Grid and permeability
G = twister(cartGrid([100, 100]), 0.03);
K  = diag([1, 1000]);

% Start points for streamline tracing
c = (ceil(G.cartDims(1)/2):4*G.cartDims(1):prod(G.cartDims))';

% Compute and plot solutions
addpath(fullfile(fileparts(mfilename('fullpath')), 'utils'))
monotonicity_streamlines(G, K, c);
