%% Figure 8: Monotonicity effects
% This script produces the contents of Figure 8, which illustrates
% montonicity effects for the TPFA, mimetic, and MPFA schemes. Same setup
% as in Figure 7, but now with the anisotropy ration of 1:1000 making 30
% degree angle with the grid directions.

% Grid
G = twister(cartGrid([11,11]), 0.03);

% Permeability
t  =  30*pi/180;
U  = [ cos(t), sin(t); -sin(t), cos(t)];
Kd = diag([1,1000]);
K  =  U'*Kd*U;

% Start points for streamline tracing
c = (ceil(G.cartDims(1)/2):G.cartDims(1):prod(G.cartDims))';

% Compute and plot solutions
addpath(fullfile(fileparts(mfilename('fullpath')), 'utils'))
monotonicity_streamlines(G, K, c);