function pressure = analytic2dSolutionWell(W,G,xyz,lamperm)
% pressure = analytic2dSolutionWell(W,G,xyz,lamperm)
% Analytic solution for a given set of wells with one perforation assuming
% they are vertical wells in a grid which have flat top and bottum surface.
pressure = zeros(size(xyz,1),1);
nxyz=sqrt(xyz.^2);  %#ok
for i=1:numel(W)
    if(strcmp(W(i).type,'rate') &&  ~isempty(W(i).cells))
        rate = W(i).val/W(i).dZ;
        cell = W(i).cells(1);
        tmp = (xyz-repmat(G.cells.centroids(cell,:),size(xyz,1),1));
        nxyz=sqrt(sum(tmp.^2,2));
        pressure = pressure-(rate/(lamperm))*log(nxyz)/(2*pi)+100e5;       
    elseif(strcmp(W(i).type,'bhp'))
       error('Not implemented')
    end    
end 
end
